VirtualBox

Ticket #4422 (new defect)

Opened 5 years ago

Last modified 2 years ago

USB WiFi Networking Conflict

Reported by: regeland Owned by:
Priority: blocker Component: network
Version: VirtualBox 3.0.0 Keywords: Realtek WiFi Network Windows XP USB Driver Bridged Workaround
Cc: Guest type: Linux
Host type: Windows

Description

On a WindowsXP host using wifi as its primary network connection (Realtek 8187B operating as a USB device), merely starting the VirtualBox application kills the host network.

Disabling the "VirtualBox USB Monitor Driver" device in the WinXP device manager (as per workaround in  http://www.virtualbox.org/ticket/1712) prevents the VirtualBox application from killing the host network. However, this precludes all but NAT networking for VirtualBox guests, and presumably breaks USB for guests.

I confirm this bug is still present in VirtualBox 3.0.0. The first report of this bug was over 2 years ago in version 1.6.x (see  http://www.virtualbox.org/ticket/845). The original workaround in that report (restarting host network adapter) does not work in 3.0.0.

Attachments

VBox.log Download (36.7 KB) - added by regeland 5 years ago.
WinXP host, vbox.log file with failed bridged networking
Arch-2009-08-02-09-38-59.log Download (36.8 KB) - added by julien 5 years ago.
host : Windows7 RC (build 7100) x64

Change History

Changed 5 years ago by regeland

WinXP host, vbox.log file with failed bridged networking

comment:1 Changed 5 years ago by julien

Same here. On Windows 7 RC (build 7100) x64 with a Relatek RTL8187B wifi. Thx for the workaround : no more problems when "VirtualBox USB Monitor Driver" is disabled.

Changed 5 years ago by julien

host : Windows7 RC (build 7100) x64

comment:2 Changed 5 years ago by chemoski

I have the same problem with virtualbox 3.0.4 and toshiba satellite pro L300. The wifi netcard is a internal usb realtek 8187. When I start Virtualbox in windows xp SP3 host the wifi network don´t work. When I finish my virtaulbox sesion and close then, Wifi card don´t response and I must be the "repair" option in windows network manager. Then It´s work.

comment:3 Changed 5 years ago by chemoski

With the instructions from bug #1712 I solve the problem. When I start virtualbox in windows xp sp3 host my realtek wifi 8187 usb built-in don´t stop and the virtual machines have network access across the wifi network.

comment:4 Changed 5 years ago by michaln

I tried to reproduce the problem on three different systems but completely failed. I tried with XP SP3, Windows Server 2003 (32-bit), and Windows 7 Ultimate (64-bit). The device was a LogiLink WiFi USB stick with a RTL8187B chipset. In for Server 2003 I used the driver from a supplied CD, for XP and W7 I used the drivers from Windows Update. Starting VirtualBox did *not* do anything to the wireless connection.

Of course, no problem -> no fix. So there must be something more specific about the failing machines than just the Realtek USB WiFi. It could help if users with this problem supplied:

  • exact identification of the USB device, i.e., USB\VID_xxxx&PID_yyyy&REV_zzzz from the Device Manager as well as the marketing name; ours is a LogiLink wireless LAN USB 2.0 Adapter, USB\VID_0BDA&PID_8187&REV_0200.
  • exact version of the driver for the USB device, and in case the driver was downloaded from somewhere, then where; e.g., RTL8187B.sys by Realtek Semi, file version 62.1174.0701
  • output of ipconfig /all

In case of detachable USB sticks, does the same problem occur on every machine the stick is plugged into?

Is there other software installed on the failing systems that might interfere with USB?

comment:5 Changed 5 years ago by chemoski

Thanks for your insterest. In windows Xp, wifi card is named "Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B#2" (in spanish. In english will be like "network adapter USB 2.0 to 54 Mbps wireless...."). In Hardware identificator I see this: USB\Vid_0bda&Pid_8198&Rev_0200 USB\Vid_0bda&Pid_8198 My adapter seems like your adapeter.

Controller: USB\VID_0BDA&PID_8198\00E04C000001 c:\windows\system32\drivers\rtl8187b.sys version 5.1116.1226.2007 build by WinDDK. This controller don´t seem your controller, but I donñt know the meaning of this. If I update the driver , I don´t get your version (In Realtek web,  http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=24&PFid=1&Level=6&Conn=5&DownTypeID=3&GetDown=false&Downloads=true, the latest version of driver is 5.1135 for xp) Output of ipconfig /all (this is in spanish)

Nombre del host . . . . . . . . . : L300

Sufijo DNS principal . . . . . . :

Tipo de nodo. . . . . . . . . . . : híbrido

Enrutamiento habilitado. . . . . .: No

Proxy WINS habilitado. . . . . : No

Lista de búsqueda de sufijo DNS: lan

Adaptador Ethernet Conexión de área local :

Estado de los medios. . . .: medios desconectados

Descripción. . . . . . . . . . . : Realtek RTL8102E Family PCI-E Fast Ethernet NIC

Dirección física. . . . . . . . . : 00-1E-33-60-4E-2C

Adaptador Ethernet VirtualBox Host-Only Network :

Sufijo de conexión específica DNS :

Descripción. . . . . . . . . . . : VirtualBox Host-Only Ethernet Adapter

Dirección física. . . . . . . . . : 08-00-27-00-B0-BE

DHCP habilitado. . . . . . . . . : No

Dirección IP. . . . . . . . . . . : 192.168.56.1

Máscara de subred . . . . . . . . : 255.255.255.0

Puerta de enlace predeterminada :

Adaptador Ethernet Conexiones de red inalámbricas 3 :

Sufijo de conexión específica DNS : lan

Descripción. . . . . . . . . . . : Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B #2

Dirección física. . . . . . . . . : 00-21-63-5D-73-11

DHCP habilitado. . . . . . . . . : No

Autoconfiguración habilitada. . . : Sí

Dirección IP. . . . . . . . . . . : 192.168.1.31

Máscara de subred . . . . . . . . : 255.255.255.0

Puerta de enlace predeterminada : 192.168.1.2

Servidor DHCP . . . . . . . . . . : 192.168.1.2

Servidores DNS . . . . . . . . . .: 192.168.1.2

80.58.61.250

80.58.61.254

Servidor WINS principal . . . . . : 80.58.61.250

Concesión obtenida . . . . . . . : viernes, 21 de agosto de 2009 23:46:09

Concesión expira . . . . . . . . .: martes, 19 de enero de 2038 5:14:07

comment:6 Changed 5 years ago by chemoski

The problem is not affected by other usb hardware (the wifi adpater is usb internal) and My software is XP SP· with Office 2007. System: Computer System

Model: Satellite Pro L300 (Other) Manufacturer: TOSHIBA Version %s: PSLB1E-02V01L08 Serial Number: 98103411Q Universal Unique ID: 687FA3A076B011DDA70E001E33604E2C User Name: Usuario

Advanced Power Management

AC Power Status: Online Battery Charge Status: Charging

Processor

Model: 2x Intel(R) Core(TM)2 Duo CPU T5750 @ 2.00GHz Socket/Slot: CPU (Socket 478) Frequency: 2000 MHz FSB Speed: 667 MHz Signature: GenuineIntel Vendor: Intel Corporation L1 Cache: 64 KB L2 Cache: 2048 KB L3 Cache: 0 KB

Mainboard

Model: Base Board Product Name 4 x Other: Other 2 x PCI: 32 bit

System BIOS

Vendor: INSYDE Version %s: 1.50 Date: 07/10/2008 Size: 1024 KB

Video System

Monitor: Televisión genérica Monitor: Monitor Plug and Play Monitor: Monitor predeterminado Monitor: Monitor predeterminado Monitor: Televisión genérica Monitor: Monitor predeterminado Monitor: Monitor Plug and Play Video Card: Mobile Intel(R) 965 Express Chipset Family Screen Resolution: 1280x800 32 bit

Physical Storage Device

CD-ROM/DVD: PIONEER DVD-RW DVRKD08A Hard Disk: Hitachi HTS542512K9SA00

Logical Storage Device

WINDOWS XP (C:): 49999 MB (35201 MB Free) NTFS DATOS (D:): 39995 MB (33908 MB Free) FAT32

Peripherals

Mouse: Synaptics PS/2 Port TouchPad Keyboard: Teclado estándar de 101/102 teclas o Microsoft Natural PS/2 Keyboard

Communication Device(s)

Modem: TOSHIBA Software Modem Network Card 1: Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B Network Card 2: Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B Network Card 3: VirtualBox Host-Only Ethernet Adapter Network Card 4: Realtek RTL8102E Family PCI-E Fast Ethernet NIC

Operating System(s)

Windows Family: Service Pack: Version Number: 4259932.6488178 (Build 104) Product ID:

Printers

Microsoft XPS Document Writer: XPSPort: Microsoft Office Document Image Writer: Microsoft Document Imaging Writer Port: Enviar a OneNote 2007: Send To Microsoft OneNote Port:

My programs: µTorrent 7-Zip 4.65 Actualización de seguridad para el Codificador de Windows Media (KB954156) Adobe Flash Player 10 Plugin Adobe Flash Player ActiveX Adobe Reader 8.1.3 - Español Ahorro de energía de TOSHIBA Assist de Toshiba AVerMedia A815 USB DVB-T 1.0.0.46 AVerTV AVG Free 8.5 Camera Assistant Software for Toshiba Complemento Guardar como PDF o XPS de Microsoft para programas de Microsoft Office 2007 Diseño de contenidos DVD Shrink 3.2 EasyRecovery Professional Fotos narradas 3 para Windows GetDataBack for NTFS Google Talk Plugin High Definition Audio Driver Package - KB888111 Image Resizer Powertoy for Windows XP Intel(R) Graphics Media Accelerator Driver Intel(R) Matrix Storage Manager InterVideo WinDVD for TOSHIBA Java(TM) 6 Update 3 Java(TM) 6 Update 7 K-Lite Codec Pack 5.0.0 (Full) Learning Essentials para Microsoft Office Macromedia Flash Player Manuales de TOSHIBA Microsoft .NET Framework 1.1 Microsoft .NET Framework 1.1 Hotfix (KB928366) Microsoft .NET Framework 1.1 Spanish Language Pack Microsoft .NET Framework 2.0 Service Pack 2 Microsoft .NET Framework 3.0 Service Pack 2 Microsoft .NET Framework 3.5 SP1 Microsoft Compression Client Pack 1.0 for Windows XP Microsoft Office Enterprise 2007 Microsoft Producer for Microsoft Office PowerPoint 2007 Microsoft User-Mode Driver Framework Feature Pack 1.0 Microsoft Visual C++ 2005 ATL Update kb973923 - x86 8.0.50727.4053 Microsoft Visual C++ 2005 Redistributable Mozilla Firefox (3.5.2) MSXML 4.0 SP2 (KB927978) MSXML 4.0 SP2 (KB936181) MSXML 4.0 SP2 (KB954430) MSXML 6.0 Parser (KB933579) Nero 8 Notepad++ Paint.NET v3.36 Paquete de idioma de Microsoft .NET Framework 2.0 - ESN Picasa 3 REALTEK GbE & FE Ethernet PCI-E NIC Driver Realtek High Definition Audio Driver REALTEK RTL8187B Wireless LAN Driver Realtek USB 2.0 Card Reader Reproductor de Windows Media 11 Shared Add-in Extensibility Update for Microsoft .NET Framework 2.0 (KB908002) Shared Add-in Support Update for Microsoft .NET Framework 2.0 (KB908002) Silenciador de unidad de CD/DVD Soft Modem with SmartCP Spelling Dictionaries Support For Adobe Reader 8 Spotify Stellarium 0.10.2 Sun xVM VirtualBox Synaptics Pointing Device Driver TOSHIBA ConfigFree TOSHIBA Controls TOSHIBA Direct Disc Writer TOSHIBA Disc Creator TOSHIBA Hotkey Utility TOSHIBA PC Diagnostic Tool TOSHIBA Software Modem TOSHIBA TouchPad ON/Off Utility TOSHIBA Utilities TOSHIBA Zooming Utility Totally Free Burner Tucan Manager 0.3.8 Tweak UI TweakNow PowerPack 2009 Windows Genuine Advantage Validation Tool (KB892130) Windows Internet Explorer 8 Windows Media Encoder 9 Series Windows SteadyState Windows XP Service Pack 3

Excuse my english. I hope your news.

comment:7 Changed 5 years ago by michaln

Thanks for the information! Your Toshiba does not seem to have the same device that I do, unfortunately. Mine is USB\VID_0BDA&PID_8187, yours is USB\VID_0BDA&PID_8198, even though both are called 8187B by the drivers (Realtek likes to do that kind of thing).

I don't see anything particularly unusual in the data you posted (which is valuable information in itself), except for one thing: In the system information, there are *two* RTL8187B devices, and in the ipconfig output, the active one is identified as "Adaptador [...] RTL8187B #2". That means there is or was another 8187B installed in the system. Do you know what that might be?

comment:8 Changed 5 years ago by chemoski

Yes, when I review my system with USBDeview.exe (a potable program) I see the following: ================================================== Device Name : RTL8187B_WLAN_Adapter Description : Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B Device Type : Vendor Specific Connected : No Safe To Unplug : Yes Disabled : No USB Hub : No Drive Letter : Serial Number : 00e04c000001 Created Date : 22/07/2008 10:29:50 Last Plug/Unplug Date: N/A VendorID : 0bda ProductID : 8197 USB Class : ff USB SubClass : ff USB Protocol : ff Hub / Port : Computer Name : Vendor Name : Product Name : ==================================================

================================================== Device Name : RTL8187B_WLAN_Adapter Description : Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B Device Type : Vendor Specific Connected : Yes Safe To Unplug : Yes Disabled : No USB Hub : No Drive Letter : Serial Number : 00e04c000001 Created Date : 22/07/2008 10:29:50 Last Plug/Unplug Date: 24/08/2009 9:23:59 VendorID : 0bda ProductID : 8198 USB Class : ff USB SubClass : ff USB Protocol : ff Hub / Port : Computer Name : Vendor Name : Product Name : ================================================== I don´t know the meaning of this (I only one network wirelles card). Windows XP came preinstalled in my notebook, I make a norton ghost image the first day and I restore it once.

comment:9 Changed 5 years ago by chemoski

Information output of progrma USBDeview (protable program). I don´t know the meaning of 2 wifi card. I only one adapter. The first appear like "Connected: No", but I don´t know why it´s here. ================================================== Device Name : RTL8187B_WLAN_Adapter Description : Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B Device Type : Vendor Specific Connected : No Safe To Unplug : Yes Disabled : No USB Hub : No Drive Letter : Serial Number : 00e04c000001 Created Date : 22/07/2008 10:29:50 Last Plug/Unplug Date: N/A VendorID : 0bda ProductID : 8197 USB Class : ff USB SubClass : ff USB Protocol : ff Hub / Port : Computer Name : Vendor Name : Product Name : ==================================================

================================================== Device Name : RTL8187B_WLAN_Adapter Description : Adaptador de red USB 2.0 de 54 Mbps inalámbrico 802.11b/g Realtek RTL8187B Device Type : Vendor Specific Connected : Yes Safe To Unplug : Yes Disabled : No USB Hub : No Drive Letter : Serial Number : 00e04c000001 Created Date : 22/07/2008 10:29:50 Last Plug/Unplug Date: 24/08/2009 9:23:59 VendorID : 0bda ProductID : 8198 USB Class : ff USB SubClass : ff USB Protocol : ff Hub / Port : Computer Name : Vendor Name : Product Name : ==================================================

comment:10 Changed 5 years ago by chemoski

I think taht this problem is a problem of my xp installation. Windows XP came preinstallated in this notebook and I make a DVD image restoration once. erhaps a clean install I would solve the problem. I will do tests trying to eliminate the ghost device. I informs you the results. Thanks.

comment:11 Changed 5 years ago by chemoski

Hello again. I thought the problem was "hidden usb" that it made the network adapter realtek 8187B was No. 2. I format my C: partition (NTFS), I reinstalled a fresh copy of windows XP SP3. I download and install teh realtek 8187b driver (from toshiba web) and virtualbox 3.0.4, hoping it would work to the first. Not Work. When I start virtualbox (before I start any virtual machine) internet conection is broken. When I close virtualbox and repair the wifi conection, I go back to having internet. I would like to discover the problem (but with the trick of disabling usb monitor everything works), also for the excellent care you have given me, besides what your special software. Is there a log file that I could send you for help to see the problem?

comment:12 Changed 5 years ago by chrp

Hello,

I have the same problem (wireless stops when starting virtual box, without launching a vm). It is solved by disabling virtualbox usb driver in device manager.

Hope my information will help reproduce this mean bug :

I use an external usb device, identified as "TRENDnet TEW-424UB 54M USB Dongle".

The exact identification is : USB\VID_0BDA&PID_8189\00E04C000001

Here are the informations of the driver I installed from the driver cd : Publisher : Realtek Semiconductor Corp. Date : 18/07/2007 Version : 5.1097.718.2007 Signature : Microsoft Windows Hardware Compatibility Publisher

Note : I have some other usb devices connected to my system - logitech quickcam pro 9000, western digital hd, m-audio interface.

Here is the output of ifconfig /all (sorry, french) :

Configuration IP de Windows

Nom de l'hôte . . . . . . . . . . : Q6600 Suffixe DNS principal . . . . . . : Type de noud . . . . . . . . . . : Inconnu Routage IP activé . . . . . . . . : Non Proxy WINS activé . . . . . . . . : Non

Carte Ethernet Connexion au réseau local:

Statut du média . . . . . . . . . : Média déconnecté Description . . . . . . . . . . . : Realtek RTL8168/8111 PCI-E Gigabit E

thernet NIC

Adresse physique . . . . . . . . .: 00-21-85-3A-66-A9

Carte Ethernet VirtualBox Host-Only Network:

Suffixe DNS propre à la connexion : Description . . . . . . . . . . . : VirtualBox Host-Only Ethernet Adapter Adresse physique . . . . . . . . .: 08-00-27-00-10-42 DHCP activé. . . . . . . . . . . : Non Adresse IP. . . . . . . . . . . . : 192.168.56.1 Masque de sous-réseau . . . . . . : 255.255.255.0 Passerelle par défaut . . . . . . :

Carte Ethernet Connexion réseau sans fil 2:

Suffixe DNS propre à la connexion : Description . . . . . . . . . . . : TRENDnet TEW-424UB 54M USB Dongle Adresse physique . . . . . . . . .: 00-14-D1-58-5E-4B DHCP activé. . . . . . . . . . . : Oui Configuration automatique activée . . . . : Oui Adresse IP. . . . . . . . . . . . : 192.168.0.12 Masque de sous-réseau . . . . . . : 255.255.255.0 Passerelle par défaut . . . . . . : 192.168.0.254 Serveur DHCP. . . . . . . . . . . : 192.168.0.254 Serveurs DNS . . . . . . . . . . : 212.27.40.240

212.27.40.241

Bail obtenu . . . . . . . . . . . : vendredi 28 août 2009 18:53:11 Bail expirant . . . . . . . . . . : lundi 7 septembre 2009 18:53:11

comment:13 Changed 5 years ago by michaln

chemoski: No, at this point there's probably no log file you could send. It looks like the problem is specific to a Realtek 8189 chip, and not the 8187 or 8187B (typical Realtek).

chrp: Is this the device you have?  http://www.amazon.de/Trendnet-TEW-424UB-Wireless-Adapter-Netzwerkkarte/dp/B000636JD8

comment:14 Changed 5 years ago by regeland

It appears this bug is present on some versions of both the 8189 and 8187B. My original report was confirmed for an internal 8187B. This wifi implementation (and thus the 8187B chipset) is quite common on a large number (or most) mass-marketed Gateway laptops from 2007-9. In fact, I believe most 802.11g-speed Gateways will include this chipset, so I'd assume the bug affects a significant number of users.

I'm not sure if there were different chipset hardware revisions with this model number (but as michaln noted, being Realtek, we can assume there are many).

It appears the bug persists in 3.04. I'll see if I can duplicate the bug on a linux host and the same hardware to rule out Win32-specific drivers.

I don't see the USB ID included in my vbox.log dump above, so will post that when I have a chance.

comment:15 Changed 5 years ago by regeland

I've obtained my device data and it appears we've confirmed Realtek has different devices (and maybe different chipsets?) with the same Device ID. See below that my ID (for my INTERNAL) usb device matches that for their EXTERNAL device. Once again, I'll report back with my results on a linux 2.6 kernel host when I have a chance.

Device Description Realtek RTL8187B Wireless 802.11b/g 54Mbps USB 2.0 Network Adapter

Device ID 0BDA-8189

Device Class FF / FF

Device Protocol FF

Manufacturer Manufacturer_Realtek

Serial Number 00e04c000001

Supported USB Version 2.00

Current Speed High (USB 2.0)

Network Adapter Properties

Network Adapter Realtek RTL8187B Wireless 802.11b/g 54Mbps USB 2.0 Network Adapter

Hardware Address 00-C0-A8-F8-55-DF

Network Adapter Manufacturer

Company Name Realtek Semiconductor Corp.

Product Information  http://www.realtek.com.tw/products/productsView.aspx?Langid=1&PNid=7&PFid=10&Level=3&Conn=2

Driver Download  http://www.realtek.com.tw/downloads

Driver Update  http://driveragent.com?ref=59

comment:16 Changed 5 years ago by michaln

regeland: We haven't fixed the bug, basically because we don't have any idea what's causing it yet. We have a USB WiFi stick with a Realtek 8187, but that doesn't show the problem. Everyone who posted their device ID so far has the USB\VID_0BDA&PID_8189\00E04C000001 device.

It's even more mysterious because AFAICT the 8187 and 8189 are using the exact same Windows driver.

Linux host won't have the problem because the host USB implementation is completely different.

I'd like to get a WiFi stick that provokes the failure, but it's *really* hard to figure out what chip a given USB device contains before buying it, so we need to know under what name exactly one of those 8189 devices is sold.

comment:17 Changed 5 years ago by regeland

michaln: Thanks for your update. You're right as I tried Linux and no bug. As to the hardware specific nature of the bug, I'd be happy to open my laptop up to you through Remote Desktop or VNC via my ethernet port if that helps. Of course it could be tricky to diagnose the problem remotely, but let me know if you think it could help.

comment:18 Changed 5 years ago by michaln

regeland: I'll need to run a kernel debugger on the failing machine, so remote access alone doesn't help much. I'll continue trying to get a USB WiFi stick with the "bad" chip, they clearly do exist...

comment:19 Changed 5 years ago by michaln

The good news is that I now have one of the problem devices, a TRENDnet TEW-424UB which identifies itself as USB\VID_0BDA&PID_8189\00E04C000001. The bad news is that I still don't see the problem. Starting VirtualBox does not disrupt the wireless network connection in any way.

I tried both a driver from Windows Update (this is on a XP SP3 host) and the TRENDnet driver shipped with the device. Both work fine when VirtualBox is running. The driver I'm using now is RTL8187B.sys, file version 5.1097.0718.2007, dated 07/19/2007.

For those who have problems, I would suggest trying the driver from Windows Update instead of whatever was shipped with the device.

It might also help me to see the output of 'VBoxManage list usbhost' both before and after starting VirtualBox, as well as the output of 'VBoxManage list usbfilters' (the latter should not change when VirtualBox starts.

comment:20 Changed 5 years ago by chemoski

Hello. Output of BoxManage list usbhost before VBox start: VirtualBox Command Line Management Interface Version 3.0.4 (C) 2005-2009 Sun Microsystems, Inc. All rights reserved.

Host USB Devices:

UUID: 77a1513a-d5e7-4448-9704-7b7832c66538 VendorId: 0x04f2 (04F2) ProductId: 0xb008 (B008) Revision: 3.53 (0353) Manufacturer: Chicony Electronics Co., Ltd. Product: Chicony USB 2.0 Camera SerialNumber: SN0001 Address: {36FC9E60-C465-11CF-8056-444553540000}\0015 Current State: Busy

UUID: 3787df8f-89ef-4ec3-af5a-65ec87a24bcc VendorId: 0x0a12 (0A12) ProductId: 0x0001 (0001) Revision: 49.100 (49100) Address: {E0CBF06C-CD8B-4647-BB8A-263B43F0F974}\0000 Current State: Busy

UUID: e0d463a9-9a3b-4719-93c9-4c64cbe76e2b VendorId: 0x0bda (0BDA) ProductId: 0x8198 (8198) Revision: 2.0 (0200) Manufacturer: Manufacturer_Realtek SerialNumber: 00e04c000001 Address: {4D36E972-E325-11CE-BFC1-08002BE10318}\0013 Current State: Busy

Output of VBoxManage list usbhost after VBox start:

VirtualBox Command Line Management Interface Version 3.0.4 (C) 2005-2009 Sun Microsystems, Inc. All rights reserved.

Host USB Devices:

UUID: 1e114870-f070-469b-a046-ee3af844a183 VendorId: 0x04f2 (04F2) ProductId: 0xb008 (B008) Revision: 3.53 (0353) Manufacturer: Chicony Electronics Co., Ltd. Product: Chicony USB 2.0 Camera SerialNumber: SN0001 Address: {36FC9E60-C465-11CF-8056-444553540000}\0015 Current State: Busy

UUID: 466b421c-690a-4002-9f27-14566918081d VendorId: 0x0a12 (0A12) ProductId: 0x0001 (0001) Revision: 49.100 (49100) Address: {E0CBF06C-CD8B-4647-BB8A-263B43F0F974}\0000 Current State: Busy

UUID: b5a8cd3d-f961-4c68-88fe-112cf809e6aa VendorId: 0x0bda (0BDA) ProductId: 0x8198 (8198) Revision: 2.0 (0200) Manufacturer: Manufacturer_Realtek SerialNumber: 00e04c000001 Address: {4D36E972-E325-11CE-BFC1-08002BE10318}\0013 Current State: Busy

comment:21 Changed 5 years ago by chemoski

Output of VBoxManage list usbfilters before and after VBox start (is the same): VirtualBox Command Line Management Interface Version 3.0.4 (C) 2005-2009 Sun Microsystems, Inc. All rights reserved.

Global USB Device Filters:

<none>

comment:22 Changed 5 years ago by chemoski

Driver: RTL8187B.sys DAte:13/01/2009 versión: 5.1158.113.2009 Digital signed: Microsoft Windows Hardware Compatibility Publisher Proveedor: Realtek Semiconductor Corp.

The problem persist.

comment:23 in reply to: ↑ description Changed 4 years ago by AWsum

I have a problem similar to the one mentioned above. I'm using Ubuntu 9.10 64-bit as host system and running VirtualBox v3.1.0 r55467. My Guest system is Kubuntu 8.10 32-bit. My laptop is a Toshiba L350D-10i. It also has a rtl8187b USB 2.0 internal wireless card.

When I open VirtualBox my wireless host connection stays active, but from the moment I start a virtual machine with USB enabled my wireless on the host system disconnects. When I disable the usb connector on the Virtual Machine my wireless on my host system reconnects.

This is the info from the hosts "lsusb" command:

Bus 001 Device 002: ID 0bda:8197 Realtek Semiconductor Corp. RTL8187B Wireless Adapter Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

The command "lsusb -v" produces this:

Bus 001 Device 002: ID 0bda:8197 Realtek Semiconductor Corp. RTL8187B Wireless Adapter Device Descriptor:

bLength 18 bDescriptorType 1 bcdUSB 2.00 bDeviceClass 0 (Defined at Interface level) bDeviceSubClass 0 bDeviceProtocol 0 bMaxPacketSize0 64 idVendor 0x0bda Realtek Semiconductor Corp. idProduct 0x8197 RTL8187B Wireless Adapter bcdDevice 2.00 iManufacturer 1 Manufacturer_Realtek iProduct 2 iSerial 3 00e04c000001 bNumConfigurations 1 Configuration Descriptor:

bLength 9 bDescriptorType 2 wTotalLength 81 bNumInterfaces 1 bConfigurationValue 1 iConfiguration 4 Wireless Network Card bmAttributes 0x80

(Bus Powered)

MaxPower 500mA Interface Descriptor:

bLength 9 bDescriptorType 4 bInterfaceNumber 0 bAlternateSetting 0 bNumEndpoints 9 bInterfaceClass 255 Vendor Specific Class bInterfaceSubClass 255 Vendor Specific Subclass bInterfaceProtocol 255 Vendor Specific Protocol iInterface 2 Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x83 EP 3 IN bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x04 EP 4 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x05 EP 5 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x06 EP 6 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x07 EP 7 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x89 EP 9 IN bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x0a EP 10 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x0b EP 11 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Endpoint Descriptor:

bLength 7 bDescriptorType 5 bEndpointAddress 0x0c EP 12 OUT bmAttributes 2

Transfer Type Bulk Synch Type None Usage Type Data

wMaxPacketSize 0x0200 1x 512 bytes bInterval 0

Device Qualifier (for other device speed):

bLength 10 bDescriptorType 6 bcdUSB 2.00 bDeviceClass 0 (Defined at Interface level) bDeviceSubClass 0 bDeviceProtocol 0 bMaxPacketSize0 64 bNumConfigurations 1

Device Status: 0x0000

(Bus Powered)

comment:24 Changed 2 years ago by maninred2

I´ve similar problems like descripted here.

Installing of Virtualbox4.1.6 on openSUSE12.1 kernel3.1.0 conflicts with wireless driver ath9k. -> Checked more than once! It always happennd after an installation of Virtualbox to openSUSE12.1 systems!

The network rate is decreasing down to 120kbits from 700kbits and sometimes(between 10min and some hours the connection breaks completely-> only a complete shutdown helps. So there is something very wrong on you integrate your network in that of every host.

It´s with Atheros TP-Link 5008. When you want to have kernel logs of this, you can look at:

 https://bugzilla.novell.com/show_bug.cgi?id=709436

Create an account and you can download many many logs. The last which were attached there were in full debugging mode for ath9k, so I´am pretty sure that they can show you how to hunt down this hard bug.


So, should I open up a new ticket, because it is linux, or would you like to handle it here?

Bug 6912 seems to be a duplicate of this here. And I confirm that this is a blocker.

comment:25 Changed 2 years ago by michaln

maninred2: Both this ticket and 6912 apply to Windows hosts and are totally unrelated to whatever the problem is with your Linux host. There's really not much useful information in ticket 6912, but this one is related to the old Windows USB monitor in VirtualBox which isn't even used anymore and specific models of RealTek USB WiFi adapters. It has absolutely nothing to do with anything Linux related (the way VirtualBox handles USB on Linux is not even remotely similar), and by mixing apples and oranges you're just wasting everyone's time.

comment:26 Changed 2 years ago by maninred2

o.K my mistake. Then I file a new one like I´ve asked to do that.

-> When I´ve go the way here to report I expect not an introduction to wasting time and mixing up. Mistakes happen. -> See the other side: Breaking network is also wasting time and I do not blame you for that! Keep friendly michaln.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use